package com.aucma.base.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;

/**
 * 自定义数据维护对象 base_custom_data
 *
 * @author Yinq
 * @date 2023-11-08
 */
public class BaseCustomData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private Long objId;

    /**
     * 自定义数据类型（0-MES数据；1-看板数据；2-大屏数据）
     */
    @Excel(name = "自定义数据类型", readConverterExp = "0=-MES数据；1-看板数据；2-大屏数据")
    private Long customType;

    /**
     * 自定义功能
     */
    @Excel(name = "自定义功能")
    private String customFunction;

    /**
     * 自定义编号
     */
    @Excel(name = "自定义编号")
    private String customCode;

    /**
     * 自定义数据
     */
    @Excel(name = "自定义数据")
    private String customData;

    /**
     * 排序
     */
    @Excel(name = "排序")
    private Long customSort;

    /**
     * 是否标识
     */
    @Excel(name = "是否标识")
    private Long isFlag;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createdBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;

    /**
     * 更新人
     */
    @Excel(name = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setCustomType(Long customType) {
        this.customType = customType;
    }

    public Long getCustomType() {
        return customType;
    }

    public void setCustomFunction(String customFunction) {
        this.customFunction = customFunction;
    }

    public String getCustomFunction() {
        return customFunction;
    }

    public void setCustomCode(String customCode) {
        this.customCode = customCode;
    }

    public String getCustomCode() {
        return customCode;
    }

    public void setCustomData(String customData) {
        this.customData = customData;
    }

    public String getCustomData() {
        return customData;
    }

    public void setCustomSort(Long customSort) {
        this.customSort = customSort;
    }

    public Long getCustomSort() {
        return customSort;
    }

    public void setIsFlag(Long isFlag) {
        this.isFlag = isFlag;
    }

    public Long getIsFlag() {
        return isFlag;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("customType", getCustomType())
                .append("customFunction", getCustomFunction())
                .append("customCode", getCustomCode())
                .append("customData", getCustomData())
                .append("customSort", getCustomSort())
                .append("remark", getRemark())
                .append("isFlag", getIsFlag())
                .append("createdBy", getCreatedBy())
                .append("createdTime", getCreatedTime())
                .append("updatedBy", getUpdatedBy())
                .append("updatedTime", getUpdatedTime())
                .toString();
    }
}
